<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AgencyUser extends BaseModel
{
    use HasFactory;

    protected $table = "agency_user";

    public function agency()
    {
        return $this->hasOne(Agency::class, 'id', 'agency_id');
    }

    public function collaborator(){
        return $this->hasOne(Collaborator::class, 'id', 'collaborator_id');
    }
}
